import*as React from'react';import {InversifyContext}from'@common-stack/client-react';import {ClientContainerService}from'common';import {useSelector}from'react-redux';const isBrowser = typeof document !== 'undefined';
function useExtensionController() {
  const {
    container
  } = React.useContext(InversifyContext);
  const [extensionController, setExtensionController] = React.useState(null);
  const bound = useSelector(state => state.extensions.bound);
  React.useEffect(() => {
    if (isBrowser && container.isBound(ClientContainerService.ExtensionController)) {
      const controller = container.get(ClientContainerService.ExtensionController);
      setExtensionController(controller);
    }
  }, [container, bound]);
  return extensionController;
}export{useExtensionController};//# sourceMappingURL=useExtensionController.js.map
